const url = "https://insecure-aabbccdd.sandbox.tokyo/";
//const walker_url = "https://walker-alksdjfla-984167626310.asia-northeast1.run.app/"; //docker
const walker_url = "http://127.0.0.1:3000/"; //docker

(async () => {
  //最初に開くURL
  const openUrl = "http://xxx.sandbox.tokyo/";

  //改竄対象のURL (httpのみ)
  const targetUrl = openUrl;

  //改竄されたHTTPレスポンス
  const body = `<html><body>HACKED!</body></html>`;

  const r = await fetch(walker_url, {
    method: "POST",
    headers: { "content-type": "application/json" },
    body: JSON.stringify({
      challengeId: 1, // 1~3
      url: openUrl,
      mitmRule: {
        targetUrl: targetUrl,
        responseCode: 200, // status
        responseHeaders: [
          {
            name: "content-type",
            value: "text/html",
          },
          {
            name: "content-length",
            value: body.length.toString(),
          },
        ],
        body,
      },
    }),
  });
  console.log(await r.json());
})();
