const express = require('express');
const crypto = require('crypto');
const router = express.Router();
let sessions = require('../utils/db');

router.post('/session', function(req, res, next) {
    if(sessions[req.cookies['minictf']]){
        res.send({});
        return;
    }

    if(Object.keys(sessions).length > 1024){sessions = {}} //(debug) reset env.

    const value = crypto.randomUUID();
    sessions[value] = {content: ""};
    res.cookie('minictf', value, {
        secure: process.env.CHALLENGE_ID === '3'
    })
    res.send({})
});

module.exports = router;
