const express = require('express');
const router = express.Router();
const sessions = require('../utils/db');

router.get('/', function(req, res, next) {
    const { content } = sessions[req.cookies['minictf']]
    res.send({"content": content});
});

router.post('/save', function(req, res, next) {
    const session = sessions[req.cookies['minictf']]
    if (typeof req.body.content != 'string' || session === undefined){
        throw Error();
    }
    session.content = req.body.content;
    res.send({'success': 'success'})
});


module.exports = router;
